Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

# Class RateTypeChoice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_01.RateTypeChoice

public class RateTypeChoice extends Object

Java class for RateTypeChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RateTypeChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="PctgRate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PercentageRate"/>
               <element name="TxtlRate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BigDecimal`
`pctgRate`
`protected String`
`txtlRate`

## Constructor Summary

Constructors
Constructor
Description
`RateTypeChoice()`

## Method Summary

Modifier and Type
Method
Description
`BigDecimal`
`getPctgRate()`
Gets the value of the pctgRate property.
`String`
`getTxtlRate()`
Gets the value of the txtlRate property.
`void`
`setPctgRate(BigDecimal value)`
Sets the value of the pctgRate property.
`void`
`setTxtlRate(String value)`
Sets the value of the txtlRate property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pctgRate

protected BigDecimal pctgRate

### txtlRate

protected String txtlRate

## Constructor Details

### RateTypeChoice

public RateTypeChoice()

## Method Details

### getPctgRate

public BigDecimal getPctgRate()
Gets the value of the pctgRate property.

Returns:
  possible object is `BigDecimal`

### setPctgRate

public void setPctgRate(BigDecimal value)
Sets the value of the pctgRate property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getTxtlRate

public String getTxtlRate()
Gets the value of the txtlRate property.

Returns:
  possible object is `String`

### setTxtlRate

public void setTxtlRate(String value)
Sets the value of the txtlRate property.

Parameters:
  `value` - allowed object is `String`